package cn.axzo.workflow.core.engine.model;

import static cn.axzo.workflow.common.constant.BpmnConstants.COMMENT_TYPE_OPERATION_DESC;

/**
 * 评论模型
 *
 * @author wangli
 * @since 2024-09-05 23:18
 */
public class AddComment {
    private String commentType;
    private String content;

    public AddComment(String commentType, String content) {
        this.commentType = commentType;
        this.content = content;
    }

    public AddComment(String content) {
        this.commentType = COMMENT_TYPE_OPERATION_DESC;
        this.content = content;
    }

    public String getCommentType() {
        return commentType;
    }

    public void setCommentType(String commentType) {
        this.commentType = commentType;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
}
